import store from "@/store";

export default {
    methods: {
        hasSettingEqualTo(settingName, settingValue) {
            return store.getters.experimentSettings[settingName] == settingValue;
        },
        hasSetting(settingName) {
            return Object.hasOwn(store.getters.experimentSettings, settingName);
        },
        getSettingValue(settingName) {
            return this.hasSetting(settingName)
                ? store.getters.experimentSettings[settingName]
                : null;
        },
    },
};
